# Generated from msgthr-1.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name msgthr

Name: rubygem-%{gem_name}
Version: 1.2.2
Release: 1%{?dist}
Summary: container-agnostic, non-recursive message threading
License: GPL-2.0+
URL: https://80x24.org/msgthr/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
Pure Ruby message threading based on the algorithm described by
JWZ in <https://www.jwz.org/doc/threading.html> and used in
countless mail and news readers; but with some features removed
and improved flexibility:.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/COPYING
%{gem_instdir}/GNUmakefile
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/.olddoc.yml
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%{gem_instdir}/msgthr.gemspec
%{gem_instdir}/test

%changelog
* Tue Aug 24 2021 mockbuilder - 1.2.2-1
- Initial package
